module Main where

import Account
import Corba

--------------------------------
--          MAIN
--------------------------------

main = do
	(orb, _) <- corba_ORB_init []
	(Just obj) <- corba_ORB_bind orb "IDL:Account:1.0" "inet:localhost:4242"
--	(Just obj) <- readIORFromFile orb "account.ior"
	(Just obj) <- c_Account__narrow obj
	(Result b1) <- c_Account_balance obj
	c_Account_deposit obj 20
	(Result b2) <- c_Account_balance obj
	c_Account_withdraw obj 10
	(Result b3) <- c_Account_balance obj
	putStrLn ("\n\nInitial balance: " ++ (show b1))
	putStrLn ("Balance after deposit: " ++ (show b2))
	putStrLn ("Balance after withdraw: " ++ (show b3))
	putStrLn "\n\n"

-- Local Variables:
-- tab-width: 4
-- End:

